Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.ejb
Class ApplicationModuleHomeImpl

`java.lang.Object
oracle.jbo.common.JboHome
oracle.jbo.client.ejb.ApplicationModuleHomeImpl`

All Implemented Interfaces:
  ApplicationModuleHome

Direct Known Subclasses:
  AbstractApplicationModuleHomeImpl

public abstract class ApplicationModuleHomeImpl
extends JboHome
implements ApplicationModuleHome

Constructor Summary
`ApplicationModuleHomeImpl(JboContext ctx, java.lang.String beanJndiName)`

Method Summary
`ApplicationModule` | `create()` Creates an `ApplicationModule`.
`protected ApplicationModule` | `createLocalEJBApplicationModuleProxy()`
`protected abstract ApplicationModule` | `createRemoteEJBApplicationModuleProxy()`
`protected java.lang.Object` | `getBeanHome()`
`protected java.lang.String` | `getBeanJndiName()`
`protected java.lang.Object` | `lookupUsingDefaultContext()`
`protected abstract java.lang.Object` | `lookupUsingPlatformContext()`

Methods inherited from class oracle.jbo.common.JboHome
`getDefName, getEnvironment, getParentContext, setDefName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationModuleHomeImpl

    public ApplicationModuleHomeImpl(JboContext ctx,
                                     java.lang.String beanJndiName)
                              throws javax.naming.NamingException

Method Detail

### createRemoteEJBApplicationModuleProxy

    protected abstract ApplicationModule createRemoteEJBApplicationModuleProxy()
                                                                        throws ApplicationModuleCreateException

  Throws:
    `ApplicationModuleCreateException`

### lookupUsingPlatformContext

    protected abstract java.lang.Object lookupUsingPlatformContext()
                                                            throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### create

    public final ApplicationModule create()
                                   throws ApplicationModuleCreateException

  Description copied from interface: `ApplicationModuleHome`
  Creates an `ApplicationModule`.
  Specified by:
    `create` in interface `ApplicationModuleHome`
  Throws:
    `ApplicationModuleCreateException`

### lookupUsingDefaultContext

    protected java.lang.Object lookupUsingDefaultContext()
                                                  throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### getBeanHome

    protected java.lang.Object getBeanHome()

### getBeanJndiName

    protected java.lang.String getBeanJndiName()

### createLocalEJBApplicationModuleProxy

    protected ApplicationModule createLocalEJBApplicationModuleProxy()
                                                              throws ApplicationModuleCreateException

  Throws:
    `ApplicationModuleCreateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.